//    GeoExp is a 3D Studio Max plugin that export GEO files.
//    Copyright (C) 1999  Anders Reggestad (andersr@pvv.ntnu.no)
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
#ifndef __NORMAL__H
#define __NORMAL__H

#include "Max.h"

// Linked list of vertex normals
class VNormal {
public:
	Point3 norm;
	DWORD smooth;
	VNormal *next;
	BOOL init;
	int index;

	VNormal() {smooth=0;next=NULL;init=FALSE;norm=Point3(0,0,0);index=-1;}
	VNormal(Point3 &n,DWORD s) {next=NULL;init=TRUE;norm=n;smooth=s;}
	~VNormal() {delete next;}
	void AddNormal(Point3 &n,DWORD s);
	Point3 &GetNormal(DWORD s);
	int GetIndex(DWORD s);
	void Normalize();
};


#endif // __NORMAL__H